Bug 1658130 - Typos in user inputs description
Summary: Typos in user inputs description
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning Templates
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Released
Assignee: Marek Hulan
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-11 10:27 UTC by Lukáš Hellebrandt
Modified: 2019-10-07 17:19 UTC (History)
3 users (show)

Fixed In Version: foreman-1.20.1.3-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:39 UTC
Foreman Issue Tracker 25669 None None None 2018-12-12 07:44:09 UTC

Description Lukáš Hellebrandt 2018-12-11 10:27:46 UTC
Description of problem:
A page with user inputs of a template (both Provisioning Template and Report Template) contains text:

"Inputs can be used to parametrize templates during rendering based on template type, it allows to fetch the value from host facts, host parameterization or ask user interactively. To use value loaded loaded via input, use input('name') global macro. The template needs to be saved before input macro can load the value. If the value is not available during template preview, it's value is expanded to $TYPE_INPUT[name] string."

The word "loaded" is duplicated.

"It's" in the last sentence should be "its".

Version-Release number of selected component (if applicable):
Tested on Sat 6.5 snap 7

How reproducible:
Deterministic

Steps to Reproduce:
1. Monitor -> Report Templates
2. Click some template
3. Go to Imports tab

Actual results:
The cited text with 2 typos

Expected results:
Correct text

Comment 3 Ondřej Pražák 2018-12-12 07:44:08 UTC
Created redmine issue http://projects.theforeman.org/issues/25669 from this bug

Comment 4 pm-sat@redhat.com 2018-12-20 21:07:34 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 5 pm-sat@redhat.com 2018-12-20 21:07:35 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 8 Lukáš Hellebrandt 2019-01-08 09:53:21 UTC
Verified with Sat 6.5 snap 10 using reproducer from OP.

Comment 11 errata-xmlrpc 2019-05-14 12:39:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.